IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/64
Addresses2^64
/64 networks1
- Network
2c19:dd:ec00:e898::/64- First address
2c19:dd:ec00:e898::- Last address
2c19:dd:ec00:e898:ffff:ffff:ffff:ffff- Addresses
- 18,446,744,073,709,551,616 (2^64)
- /64 networks (LANs)
- 1
- Full form
2c19:00dd:ec00:e898:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
8.9.8.e.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:e898::/64 makes 4,096 subnets of /76; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:e898::/76 | 2c19:dd:ec00:e898:f:ffff:ffff:ffff |
| 2 | 2c19:dd:ec00:e898:10::/76 | 2c19:dd:ec00:e898:1f:ffff:ffff:ffff |
| 3 | 2c19:dd:ec00:e898:20::/76 | 2c19:dd:ec00:e898:2f:ffff:ffff:ffff |
| 4 | 2c19:dd:ec00:e898:30::/76 | 2c19:dd:ec00:e898:3f:ffff:ffff:ffff |
| 5 | 2c19:dd:ec00:e898:40::/76 | 2c19:dd:ec00:e898:4f:ffff:ffff:ffff |
| 6 | 2c19:dd:ec00:e898:50::/76 | 2c19:dd:ec00:e898:5f:ffff:ffff:ffff |
| 7 | 2c19:dd:ec00:e898:60::/76 | 2c19:dd:ec00:e898:6f:ffff:ffff:ffff |
| 8 | 2c19:dd:ec00:e898:70::/76 | 2c19:dd:ec00:e898:7f:ffff:ffff:ffff |
| 9 | 2c19:dd:ec00:e898:80::/76 | 2c19:dd:ec00:e898:8f:ffff:ffff:ffff |
| 10 | 2c19:dd:ec00:e898:90::/76 | 2c19:dd:ec00:e898:9f:ffff:ffff:ffff |
| 11 | 2c19:dd:ec00:e898:a0::/76 | 2c19:dd:ec00:e898:af:ffff:ffff:ffff |
| 12 | 2c19:dd:ec00:e898:b0::/76 | 2c19:dd:ec00:e898:bf:ffff:ffff:ffff |
| 13 | 2c19:dd:ec00:e898:c0::/76 | 2c19:dd:ec00:e898:cf:ffff:ffff:ffff |
| 14 | 2c19:dd:ec00:e898:d0::/76 | 2c19:dd:ec00:e898:df:ffff:ffff:ffff |
| 15 | 2c19:dd:ec00:e898:e0::/76 | 2c19:dd:ec00:e898:ef:ffff:ffff:ffff |
| 16 | 2c19:dd:ec00:e898:f0::/76 | 2c19:dd:ec00:e898:ff:ffff:ffff:ffff |
| 17 | 2c19:dd:ec00:e898:100::/76 | 2c19:dd:ec00:e898:10f:ffff:ffff:ffff |
| 18 | 2c19:dd:ec00:e898:110::/76 | 2c19:dd:ec00:e898:11f:ffff:ffff:ffff |
| 19 | 2c19:dd:ec00:e898:120::/76 | 2c19:dd:ec00:e898:12f:ffff:ffff:ffff |
| 20 | 2c19:dd:ec00:e898:130::/76 | 2c19:dd:ec00:e898:13f:ffff:ffff:ffff |
| 21 | 2c19:dd:ec00:e898:140::/76 | 2c19:dd:ec00:e898:14f:ffff:ffff:ffff |
| 22 | 2c19:dd:ec00:e898:150::/76 | 2c19:dd:ec00:e898:15f:ffff:ffff:ffff |
| 23 | 2c19:dd:ec00:e898:160::/76 | 2c19:dd:ec00:e898:16f:ffff:ffff:ffff |
| 24 | 2c19:dd:ec00:e898:170::/76 | 2c19:dd:ec00:e898:17f:ffff:ffff:ffff |
| 25 | 2c19:dd:ec00:e898:180::/76 | 2c19:dd:ec00:e898:18f:ffff:ffff:ffff |
| 26 | 2c19:dd:ec00:e898:190::/76 | 2c19:dd:ec00:e898:19f:ffff:ffff:ffff |
| 27 | 2c19:dd:ec00:e898:1a0::/76 | 2c19:dd:ec00:e898:1af:ffff:ffff:ffff |
| 28 | 2c19:dd:ec00:e898:1b0::/76 | 2c19:dd:ec00:e898:1bf:ffff:ffff:ffff |
| 29 | 2c19:dd:ec00:e898:1c0::/76 | 2c19:dd:ec00:e898:1cf:ffff:ffff:ffff |
| 30 | 2c19:dd:ec00:e898:1d0::/76 | 2c19:dd:ec00:e898:1df:ffff:ffff:ffff |
| 31 | 2c19:dd:ec00:e898:1e0::/76 | 2c19:dd:ec00:e898:1ef:ffff:ffff:ffff |
| 32 | 2c19:dd:ec00:e898:1f0::/76 | 2c19:dd:ec00:e898:1ff:ffff:ffff:ffff |
| 33 | 2c19:dd:ec00:e898:200::/76 | 2c19:dd:ec00:e898:20f:ffff:ffff:ffff |
| 34 | 2c19:dd:ec00:e898:210::/76 | 2c19:dd:ec00:e898:21f:ffff:ffff:ffff |
| 35 | 2c19:dd:ec00:e898:220::/76 | 2c19:dd:ec00:e898:22f:ffff:ffff:ffff |
| 36 | 2c19:dd:ec00:e898:230::/76 | 2c19:dd:ec00:e898:23f:ffff:ffff:ffff |
| 37 | 2c19:dd:ec00:e898:240::/76 | 2c19:dd:ec00:e898:24f:ffff:ffff:ffff |
| 38 | 2c19:dd:ec00:e898:250::/76 | 2c19:dd:ec00:e898:25f:ffff:ffff:ffff |
| 39 | 2c19:dd:ec00:e898:260::/76 | 2c19:dd:ec00:e898:26f:ffff:ffff:ffff |
| 40 | 2c19:dd:ec00:e898:270::/76 | 2c19:dd:ec00:e898:27f:ffff:ffff:ffff |
| 41 | 2c19:dd:ec00:e898:280::/76 | 2c19:dd:ec00:e898:28f:ffff:ffff:ffff |
| 42 | 2c19:dd:ec00:e898:290::/76 | 2c19:dd:ec00:e898:29f:ffff:ffff:ffff |
| 43 | 2c19:dd:ec00:e898:2a0::/76 | 2c19:dd:ec00:e898:2af:ffff:ffff:ffff |
| 44 | 2c19:dd:ec00:e898:2b0::/76 | 2c19:dd:ec00:e898:2bf:ffff:ffff:ffff |
| 45 | 2c19:dd:ec00:e898:2c0::/76 | 2c19:dd:ec00:e898:2cf:ffff:ffff:ffff |
| 46 | 2c19:dd:ec00:e898:2d0::/76 | 2c19:dd:ec00:e898:2df:ffff:ffff:ffff |
| 47 | 2c19:dd:ec00:e898:2e0::/76 | 2c19:dd:ec00:e898:2ef:ffff:ffff:ffff |
| 48 | 2c19:dd:ec00:e898:2f0::/76 | 2c19:dd:ec00:e898:2ff:ffff:ffff:ffff |
| 49 | 2c19:dd:ec00:e898:300::/76 | 2c19:dd:ec00:e898:30f:ffff:ffff:ffff |
| 50 | 2c19:dd:ec00:e898:310::/76 | 2c19:dd:ec00:e898:31f:ffff:ffff:ffff |
| 51 | 2c19:dd:ec00:e898:320::/76 | 2c19:dd:ec00:e898:32f:ffff:ffff:ffff |
| 52 | 2c19:dd:ec00:e898:330::/76 | 2c19:dd:ec00:e898:33f:ffff:ffff:ffff |
| 53 | 2c19:dd:ec00:e898:340::/76 | 2c19:dd:ec00:e898:34f:ffff:ffff:ffff |
| 54 | 2c19:dd:ec00:e898:350::/76 | 2c19:dd:ec00:e898:35f:ffff:ffff:ffff |
| 55 | 2c19:dd:ec00:e898:360::/76 | 2c19:dd:ec00:e898:36f:ffff:ffff:ffff |
| 56 | 2c19:dd:ec00:e898:370::/76 | 2c19:dd:ec00:e898:37f:ffff:ffff:ffff |
| 57 | 2c19:dd:ec00:e898:380::/76 | 2c19:dd:ec00:e898:38f:ffff:ffff:ffff |
| 58 | 2c19:dd:ec00:e898:390::/76 | 2c19:dd:ec00:e898:39f:ffff:ffff:ffff |
| 59 | 2c19:dd:ec00:e898:3a0::/76 | 2c19:dd:ec00:e898:3af:ffff:ffff:ffff |
| 60 | 2c19:dd:ec00:e898:3b0::/76 | 2c19:dd:ec00:e898:3bf:ffff:ffff:ffff |
| 61 | 2c19:dd:ec00:e898:3c0::/76 | 2c19:dd:ec00:e898:3cf:ffff:ffff:ffff |
| 62 | 2c19:dd:ec00:e898:3d0::/76 | 2c19:dd:ec00:e898:3df:ffff:ffff:ffff |
| 63 | 2c19:dd:ec00:e898:3e0::/76 | 2c19:dd:ec00:e898:3ef:ffff:ffff:ffff |
| 64 | 2c19:dd:ec00:e898:3f0::/76 | 2c19:dd:ec00:e898:3ff:ffff:ffff:ffff |
| 65 | 2c19:dd:ec00:e898:400::/76 | 2c19:dd:ec00:e898:40f:ffff:ffff:ffff |
| 66 | 2c19:dd:ec00:e898:410::/76 | 2c19:dd:ec00:e898:41f:ffff:ffff:ffff |
| 67 | 2c19:dd:ec00:e898:420::/76 | 2c19:dd:ec00:e898:42f:ffff:ffff:ffff |
| 68 | 2c19:dd:ec00:e898:430::/76 | 2c19:dd:ec00:e898:43f:ffff:ffff:ffff |
| 69 | 2c19:dd:ec00:e898:440::/76 | 2c19:dd:ec00:e898:44f:ffff:ffff:ffff |
| 70 | 2c19:dd:ec00:e898:450::/76 | 2c19:dd:ec00:e898:45f:ffff:ffff:ffff |
| 71 | 2c19:dd:ec00:e898:460::/76 | 2c19:dd:ec00:e898:46f:ffff:ffff:ffff |
| 72 | 2c19:dd:ec00:e898:470::/76 | 2c19:dd:ec00:e898:47f:ffff:ffff:ffff |
| 73 | 2c19:dd:ec00:e898:480::/76 | 2c19:dd:ec00:e898:48f:ffff:ffff:ffff |
| 74 | 2c19:dd:ec00:e898:490::/76 | 2c19:dd:ec00:e898:49f:ffff:ffff:ffff |
| 75 | 2c19:dd:ec00:e898:4a0::/76 | 2c19:dd:ec00:e898:4af:ffff:ffff:ffff |
| 76 | 2c19:dd:ec00:e898:4b0::/76 | 2c19:dd:ec00:e898:4bf:ffff:ffff:ffff |
| 77 | 2c19:dd:ec00:e898:4c0::/76 | 2c19:dd:ec00:e898:4cf:ffff:ffff:ffff |
| 78 | 2c19:dd:ec00:e898:4d0::/76 | 2c19:dd:ec00:e898:4df:ffff:ffff:ffff |
| 79 | 2c19:dd:ec00:e898:4e0::/76 | 2c19:dd:ec00:e898:4ef:ffff:ffff:ffff |
| 80 | 2c19:dd:ec00:e898:4f0::/76 | 2c19:dd:ec00:e898:4ff:ffff:ffff:ffff |
| 81 | 2c19:dd:ec00:e898:500::/76 | 2c19:dd:ec00:e898:50f:ffff:ffff:ffff |
| 82 | 2c19:dd:ec00:e898:510::/76 | 2c19:dd:ec00:e898:51f:ffff:ffff:ffff |
| 83 | 2c19:dd:ec00:e898:520::/76 | 2c19:dd:ec00:e898:52f:ffff:ffff:ffff |
| 84 | 2c19:dd:ec00:e898:530::/76 | 2c19:dd:ec00:e898:53f:ffff:ffff:ffff |
| 85 | 2c19:dd:ec00:e898:540::/76 | 2c19:dd:ec00:e898:54f:ffff:ffff:ffff |
| 86 | 2c19:dd:ec00:e898:550::/76 | 2c19:dd:ec00:e898:55f:ffff:ffff:ffff |
| 87 | 2c19:dd:ec00:e898:560::/76 | 2c19:dd:ec00:e898:56f:ffff:ffff:ffff |
| 88 | 2c19:dd:ec00:e898:570::/76 | 2c19:dd:ec00:e898:57f:ffff:ffff:ffff |
| 89 | 2c19:dd:ec00:e898:580::/76 | 2c19:dd:ec00:e898:58f:ffff:ffff:ffff |
| 90 | 2c19:dd:ec00:e898:590::/76 | 2c19:dd:ec00:e898:59f:ffff:ffff:ffff |
| 91 | 2c19:dd:ec00:e898:5a0::/76 | 2c19:dd:ec00:e898:5af:ffff:ffff:ffff |
| 92 | 2c19:dd:ec00:e898:5b0::/76 | 2c19:dd:ec00:e898:5bf:ffff:ffff:ffff |
| 93 | 2c19:dd:ec00:e898:5c0::/76 | 2c19:dd:ec00:e898:5cf:ffff:ffff:ffff |
| 94 | 2c19:dd:ec00:e898:5d0::/76 | 2c19:dd:ec00:e898:5df:ffff:ffff:ffff |
| 95 | 2c19:dd:ec00:e898:5e0::/76 | 2c19:dd:ec00:e898:5ef:ffff:ffff:ffff |
| 96 | 2c19:dd:ec00:e898:5f0::/76 | 2c19:dd:ec00:e898:5ff:ffff:ffff:ffff |
| 97 | 2c19:dd:ec00:e898:600::/76 | 2c19:dd:ec00:e898:60f:ffff:ffff:ffff |
| 98 | 2c19:dd:ec00:e898:610::/76 | 2c19:dd:ec00:e898:61f:ffff:ffff:ffff |
| 99 | 2c19:dd:ec00:e898:620::/76 | 2c19:dd:ec00:e898:62f:ffff:ffff:ffff |
| 100 | 2c19:dd:ec00:e898:630::/76 | 2c19:dd:ec00:e898:63f:ffff:ffff:ffff |
| 101 | 2c19:dd:ec00:e898:640::/76 | 2c19:dd:ec00:e898:64f:ffff:ffff:ffff |
| 102 | 2c19:dd:ec00:e898:650::/76 | 2c19:dd:ec00:e898:65f:ffff:ffff:ffff |
| 103 | 2c19:dd:ec00:e898:660::/76 | 2c19:dd:ec00:e898:66f:ffff:ffff:ffff |
| 104 | 2c19:dd:ec00:e898:670::/76 | 2c19:dd:ec00:e898:67f:ffff:ffff:ffff |
| 105 | 2c19:dd:ec00:e898:680::/76 | 2c19:dd:ec00:e898:68f:ffff:ffff:ffff |
| 106 | 2c19:dd:ec00:e898:690::/76 | 2c19:dd:ec00:e898:69f:ffff:ffff:ffff |
| 107 | 2c19:dd:ec00:e898:6a0::/76 | 2c19:dd:ec00:e898:6af:ffff:ffff:ffff |
| 108 | 2c19:dd:ec00:e898:6b0::/76 | 2c19:dd:ec00:e898:6bf:ffff:ffff:ffff |
| 109 | 2c19:dd:ec00:e898:6c0::/76 | 2c19:dd:ec00:e898:6cf:ffff:ffff:ffff |
| 110 | 2c19:dd:ec00:e898:6d0::/76 | 2c19:dd:ec00:e898:6df:ffff:ffff:ffff |
| 111 | 2c19:dd:ec00:e898:6e0::/76 | 2c19:dd:ec00:e898:6ef:ffff:ffff:ffff |
| 112 | 2c19:dd:ec00:e898:6f0::/76 | 2c19:dd:ec00:e898:6ff:ffff:ffff:ffff |
| 113 | 2c19:dd:ec00:e898:700::/76 | 2c19:dd:ec00:e898:70f:ffff:ffff:ffff |
| 114 | 2c19:dd:ec00:e898:710::/76 | 2c19:dd:ec00:e898:71f:ffff:ffff:ffff |
| 115 | 2c19:dd:ec00:e898:720::/76 | 2c19:dd:ec00:e898:72f:ffff:ffff:ffff |
| 116 | 2c19:dd:ec00:e898:730::/76 | 2c19:dd:ec00:e898:73f:ffff:ffff:ffff |
| 117 | 2c19:dd:ec00:e898:740::/76 | 2c19:dd:ec00:e898:74f:ffff:ffff:ffff |
| 118 | 2c19:dd:ec00:e898:750::/76 | 2c19:dd:ec00:e898:75f:ffff:ffff:ffff |
| 119 | 2c19:dd:ec00:e898:760::/76 | 2c19:dd:ec00:e898:76f:ffff:ffff:ffff |
| 120 | 2c19:dd:ec00:e898:770::/76 | 2c19:dd:ec00:e898:77f:ffff:ffff:ffff |
| 121 | 2c19:dd:ec00:e898:780::/76 | 2c19:dd:ec00:e898:78f:ffff:ffff:ffff |
| 122 | 2c19:dd:ec00:e898:790::/76 | 2c19:dd:ec00:e898:79f:ffff:ffff:ffff |
| 123 | 2c19:dd:ec00:e898:7a0::/76 | 2c19:dd:ec00:e898:7af:ffff:ffff:ffff |
| 124 | 2c19:dd:ec00:e898:7b0::/76 | 2c19:dd:ec00:e898:7bf:ffff:ffff:ffff |
| 125 | 2c19:dd:ec00:e898:7c0::/76 | 2c19:dd:ec00:e898:7cf:ffff:ffff:ffff |
| 126 | 2c19:dd:ec00:e898:7d0::/76 | 2c19:dd:ec00:e898:7df:ffff:ffff:ffff |
| 127 | 2c19:dd:ec00:e898:7e0::/76 | 2c19:dd:ec00:e898:7ef:ffff:ffff:ffff |
| 128 | 2c19:dd:ec00:e898:7f0::/76 | 2c19:dd:ec00:e898:7ff:ffff:ffff:ffff |
| 129 | 2c19:dd:ec00:e898:800::/76 | 2c19:dd:ec00:e898:80f:ffff:ffff:ffff |
| 130 | 2c19:dd:ec00:e898:810::/76 | 2c19:dd:ec00:e898:81f:ffff:ffff:ffff |
| 131 | 2c19:dd:ec00:e898:820::/76 | 2c19:dd:ec00:e898:82f:ffff:ffff:ffff |
| 132 | 2c19:dd:ec00:e898:830::/76 | 2c19:dd:ec00:e898:83f:ffff:ffff:ffff |
| 133 | 2c19:dd:ec00:e898:840::/76 | 2c19:dd:ec00:e898:84f:ffff:ffff:ffff |
| 134 | 2c19:dd:ec00:e898:850::/76 | 2c19:dd:ec00:e898:85f:ffff:ffff:ffff |
| 135 | 2c19:dd:ec00:e898:860::/76 | 2c19:dd:ec00:e898:86f:ffff:ffff:ffff |
| 136 | 2c19:dd:ec00:e898:870::/76 | 2c19:dd:ec00:e898:87f:ffff:ffff:ffff |
| 137 | 2c19:dd:ec00:e898:880::/76 | 2c19:dd:ec00:e898:88f:ffff:ffff:ffff |
| 138 | 2c19:dd:ec00:e898:890::/76 | 2c19:dd:ec00:e898:89f:ffff:ffff:ffff |
| 139 | 2c19:dd:ec00:e898:8a0::/76 | 2c19:dd:ec00:e898:8af:ffff:ffff:ffff |
| 140 | 2c19:dd:ec00:e898:8b0::/76 | 2c19:dd:ec00:e898:8bf:ffff:ffff:ffff |
| 141 | 2c19:dd:ec00:e898:8c0::/76 | 2c19:dd:ec00:e898:8cf:ffff:ffff:ffff |
| 142 | 2c19:dd:ec00:e898:8d0::/76 | 2c19:dd:ec00:e898:8df:ffff:ffff:ffff |
| 143 | 2c19:dd:ec00:e898:8e0::/76 | 2c19:dd:ec00:e898:8ef:ffff:ffff:ffff |
| 144 | 2c19:dd:ec00:e898:8f0::/76 | 2c19:dd:ec00:e898:8ff:ffff:ffff:ffff |
| 145 | 2c19:dd:ec00:e898:900::/76 | 2c19:dd:ec00:e898:90f:ffff:ffff:ffff |
| 146 | 2c19:dd:ec00:e898:910::/76 | 2c19:dd:ec00:e898:91f:ffff:ffff:ffff |
| 147 | 2c19:dd:ec00:e898:920::/76 | 2c19:dd:ec00:e898:92f:ffff:ffff:ffff |
| 148 | 2c19:dd:ec00:e898:930::/76 | 2c19:dd:ec00:e898:93f:ffff:ffff:ffff |
| 149 | 2c19:dd:ec00:e898:940::/76 | 2c19:dd:ec00:e898:94f:ffff:ffff:ffff |
| 150 | 2c19:dd:ec00:e898:950::/76 | 2c19:dd:ec00:e898:95f:ffff:ffff:ffff |
| 151 | 2c19:dd:ec00:e898:960::/76 | 2c19:dd:ec00:e898:96f:ffff:ffff:ffff |
| 152 | 2c19:dd:ec00:e898:970::/76 | 2c19:dd:ec00:e898:97f:ffff:ffff:ffff |
| 153 | 2c19:dd:ec00:e898:980::/76 | 2c19:dd:ec00:e898:98f:ffff:ffff:ffff |
| 154 | 2c19:dd:ec00:e898:990::/76 | 2c19:dd:ec00:e898:99f:ffff:ffff:ffff |
| 155 | 2c19:dd:ec00:e898:9a0::/76 | 2c19:dd:ec00:e898:9af:ffff:ffff:ffff |
| 156 | 2c19:dd:ec00:e898:9b0::/76 | 2c19:dd:ec00:e898:9bf:ffff:ffff:ffff |
| 157 | 2c19:dd:ec00:e898:9c0::/76 | 2c19:dd:ec00:e898:9cf:ffff:ffff:ffff |
| 158 | 2c19:dd:ec00:e898:9d0::/76 | 2c19:dd:ec00:e898:9df:ffff:ffff:ffff |
| 159 | 2c19:dd:ec00:e898:9e0::/76 | 2c19:dd:ec00:e898:9ef:ffff:ffff:ffff |
| 160 | 2c19:dd:ec00:e898:9f0::/76 | 2c19:dd:ec00:e898:9ff:ffff:ffff:ffff |
| 161 | 2c19:dd:ec00:e898:a00::/76 | 2c19:dd:ec00:e898:a0f:ffff:ffff:ffff |
| 162 | 2c19:dd:ec00:e898:a10::/76 | 2c19:dd:ec00:e898:a1f:ffff:ffff:ffff |
| 163 | 2c19:dd:ec00:e898:a20::/76 | 2c19:dd:ec00:e898:a2f:ffff:ffff:ffff |
| 164 | 2c19:dd:ec00:e898:a30::/76 | 2c19:dd:ec00:e898:a3f:ffff:ffff:ffff |
| 165 | 2c19:dd:ec00:e898:a40::/76 | 2c19:dd:ec00:e898:a4f:ffff:ffff:ffff |
| 166 | 2c19:dd:ec00:e898:a50::/76 | 2c19:dd:ec00:e898:a5f:ffff:ffff:ffff |
| 167 | 2c19:dd:ec00:e898:a60::/76 | 2c19:dd:ec00:e898:a6f:ffff:ffff:ffff |
| 168 | 2c19:dd:ec00:e898:a70::/76 | 2c19:dd:ec00:e898:a7f:ffff:ffff:ffff |
| 169 | 2c19:dd:ec00:e898:a80::/76 | 2c19:dd:ec00:e898:a8f:ffff:ffff:ffff |
| 170 | 2c19:dd:ec00:e898:a90::/76 | 2c19:dd:ec00:e898:a9f:ffff:ffff:ffff |
| 171 | 2c19:dd:ec00:e898:aa0::/76 | 2c19:dd:ec00:e898:aaf:ffff:ffff:ffff |
| 172 | 2c19:dd:ec00:e898:ab0::/76 | 2c19:dd:ec00:e898:abf:ffff:ffff:ffff |
| 173 | 2c19:dd:ec00:e898:ac0::/76 | 2c19:dd:ec00:e898:acf:ffff:ffff:ffff |
| 174 | 2c19:dd:ec00:e898:ad0::/76 | 2c19:dd:ec00:e898:adf:ffff:ffff:ffff |
| 175 | 2c19:dd:ec00:e898:ae0::/76 | 2c19:dd:ec00:e898:aef:ffff:ffff:ffff |
| 176 | 2c19:dd:ec00:e898:af0::/76 | 2c19:dd:ec00:e898:aff:ffff:ffff:ffff |
| 177 | 2c19:dd:ec00:e898:b00::/76 | 2c19:dd:ec00:e898:b0f:ffff:ffff:ffff |
| 178 | 2c19:dd:ec00:e898:b10::/76 | 2c19:dd:ec00:e898:b1f:ffff:ffff:ffff |
| 179 | 2c19:dd:ec00:e898:b20::/76 | 2c19:dd:ec00:e898:b2f:ffff:ffff:ffff |
| 180 | 2c19:dd:ec00:e898:b30::/76 | 2c19:dd:ec00:e898:b3f:ffff:ffff:ffff |
| 181 | 2c19:dd:ec00:e898:b40::/76 | 2c19:dd:ec00:e898:b4f:ffff:ffff:ffff |
| 182 | 2c19:dd:ec00:e898:b50::/76 | 2c19:dd:ec00:e898:b5f:ffff:ffff:ffff |
| 183 | 2c19:dd:ec00:e898:b60::/76 | 2c19:dd:ec00:e898:b6f:ffff:ffff:ffff |
| 184 | 2c19:dd:ec00:e898:b70::/76 | 2c19:dd:ec00:e898:b7f:ffff:ffff:ffff |
| 185 | 2c19:dd:ec00:e898:b80::/76 | 2c19:dd:ec00:e898:b8f:ffff:ffff:ffff |
| 186 | 2c19:dd:ec00:e898:b90::/76 | 2c19:dd:ec00:e898:b9f:ffff:ffff:ffff |
| 187 | 2c19:dd:ec00:e898:ba0::/76 | 2c19:dd:ec00:e898:baf:ffff:ffff:ffff |
| 188 | 2c19:dd:ec00:e898:bb0::/76 | 2c19:dd:ec00:e898:bbf:ffff:ffff:ffff |
| 189 | 2c19:dd:ec00:e898:bc0::/76 | 2c19:dd:ec00:e898:bcf:ffff:ffff:ffff |
| 190 | 2c19:dd:ec00:e898:bd0::/76 | 2c19:dd:ec00:e898:bdf:ffff:ffff:ffff |
| 191 | 2c19:dd:ec00:e898:be0::/76 | 2c19:dd:ec00:e898:bef:ffff:ffff:ffff |
| 192 | 2c19:dd:ec00:e898:bf0::/76 | 2c19:dd:ec00:e898:bff:ffff:ffff:ffff |
| 193 | 2c19:dd:ec00:e898:c00::/76 | 2c19:dd:ec00:e898:c0f:ffff:ffff:ffff |
| 194 | 2c19:dd:ec00:e898:c10::/76 | 2c19:dd:ec00:e898:c1f:ffff:ffff:ffff |
| 195 | 2c19:dd:ec00:e898:c20::/76 | 2c19:dd:ec00:e898:c2f:ffff:ffff:ffff |
| 196 | 2c19:dd:ec00:e898:c30::/76 | 2c19:dd:ec00:e898:c3f:ffff:ffff:ffff |
| 197 | 2c19:dd:ec00:e898:c40::/76 | 2c19:dd:ec00:e898:c4f:ffff:ffff:ffff |
| 198 | 2c19:dd:ec00:e898:c50::/76 | 2c19:dd:ec00:e898:c5f:ffff:ffff:ffff |
| 199 | 2c19:dd:ec00:e898:c60::/76 | 2c19:dd:ec00:e898:c6f:ffff:ffff:ffff |
| 200 | 2c19:dd:ec00:e898:c70::/76 | 2c19:dd:ec00:e898:c7f:ffff:ffff:ffff |
| 201 | 2c19:dd:ec00:e898:c80::/76 | 2c19:dd:ec00:e898:c8f:ffff:ffff:ffff |
| 202 | 2c19:dd:ec00:e898:c90::/76 | 2c19:dd:ec00:e898:c9f:ffff:ffff:ffff |
| 203 | 2c19:dd:ec00:e898:ca0::/76 | 2c19:dd:ec00:e898:caf:ffff:ffff:ffff |
| 204 | 2c19:dd:ec00:e898:cb0::/76 | 2c19:dd:ec00:e898:cbf:ffff:ffff:ffff |
| 205 | 2c19:dd:ec00:e898:cc0::/76 | 2c19:dd:ec00:e898:ccf:ffff:ffff:ffff |
| 206 | 2c19:dd:ec00:e898:cd0::/76 | 2c19:dd:ec00:e898:cdf:ffff:ffff:ffff |
| 207 | 2c19:dd:ec00:e898:ce0::/76 | 2c19:dd:ec00:e898:cef:ffff:ffff:ffff |
| 208 | 2c19:dd:ec00:e898:cf0::/76 | 2c19:dd:ec00:e898:cff:ffff:ffff:ffff |
| 209 | 2c19:dd:ec00:e898:d00::/76 | 2c19:dd:ec00:e898:d0f:ffff:ffff:ffff |
| 210 | 2c19:dd:ec00:e898:d10::/76 | 2c19:dd:ec00:e898:d1f:ffff:ffff:ffff |
| 211 | 2c19:dd:ec00:e898:d20::/76 | 2c19:dd:ec00:e898:d2f:ffff:ffff:ffff |
| 212 | 2c19:dd:ec00:e898:d30::/76 | 2c19:dd:ec00:e898:d3f:ffff:ffff:ffff |
| 213 | 2c19:dd:ec00:e898:d40::/76 | 2c19:dd:ec00:e898:d4f:ffff:ffff:ffff |
| 214 | 2c19:dd:ec00:e898:d50::/76 | 2c19:dd:ec00:e898:d5f:ffff:ffff:ffff |
| 215 | 2c19:dd:ec00:e898:d60::/76 | 2c19:dd:ec00:e898:d6f:ffff:ffff:ffff |
| 216 | 2c19:dd:ec00:e898:d70::/76 | 2c19:dd:ec00:e898:d7f:ffff:ffff:ffff |
| 217 | 2c19:dd:ec00:e898:d80::/76 | 2c19:dd:ec00:e898:d8f:ffff:ffff:ffff |
| 218 | 2c19:dd:ec00:e898:d90::/76 | 2c19:dd:ec00:e898:d9f:ffff:ffff:ffff |
| 219 | 2c19:dd:ec00:e898:da0::/76 | 2c19:dd:ec00:e898:daf:ffff:ffff:ffff |
| 220 | 2c19:dd:ec00:e898:db0::/76 | 2c19:dd:ec00:e898:dbf:ffff:ffff:ffff |
| 221 | 2c19:dd:ec00:e898:dc0::/76 | 2c19:dd:ec00:e898:dcf:ffff:ffff:ffff |
| 222 | 2c19:dd:ec00:e898:dd0::/76 | 2c19:dd:ec00:e898:ddf:ffff:ffff:ffff |
| 223 | 2c19:dd:ec00:e898:de0::/76 | 2c19:dd:ec00:e898:def:ffff:ffff:ffff |
| 224 | 2c19:dd:ec00:e898:df0::/76 | 2c19:dd:ec00:e898:dff:ffff:ffff:ffff |
| 225 | 2c19:dd:ec00:e898:e00::/76 | 2c19:dd:ec00:e898:e0f:ffff:ffff:ffff |
| 226 | 2c19:dd:ec00:e898:e10::/76 | 2c19:dd:ec00:e898:e1f:ffff:ffff:ffff |
| 227 | 2c19:dd:ec00:e898:e20::/76 | 2c19:dd:ec00:e898:e2f:ffff:ffff:ffff |
| 228 | 2c19:dd:ec00:e898:e30::/76 | 2c19:dd:ec00:e898:e3f:ffff:ffff:ffff |
| 229 | 2c19:dd:ec00:e898:e40::/76 | 2c19:dd:ec00:e898:e4f:ffff:ffff:ffff |
| 230 | 2c19:dd:ec00:e898:e50::/76 | 2c19:dd:ec00:e898:e5f:ffff:ffff:ffff |
| 231 | 2c19:dd:ec00:e898:e60::/76 | 2c19:dd:ec00:e898:e6f:ffff:ffff:ffff |
| 232 | 2c19:dd:ec00:e898:e70::/76 | 2c19:dd:ec00:e898:e7f:ffff:ffff:ffff |
| 233 | 2c19:dd:ec00:e898:e80::/76 | 2c19:dd:ec00:e898:e8f:ffff:ffff:ffff |
| 234 | 2c19:dd:ec00:e898:e90::/76 | 2c19:dd:ec00:e898:e9f:ffff:ffff:ffff |
| 235 | 2c19:dd:ec00:e898:ea0::/76 | 2c19:dd:ec00:e898:eaf:ffff:ffff:ffff |
| 236 | 2c19:dd:ec00:e898:eb0::/76 | 2c19:dd:ec00:e898:ebf:ffff:ffff:ffff |
| 237 | 2c19:dd:ec00:e898:ec0::/76 | 2c19:dd:ec00:e898:ecf:ffff:ffff:ffff |
| 238 | 2c19:dd:ec00:e898:ed0::/76 | 2c19:dd:ec00:e898:edf:ffff:ffff:ffff |
| 239 | 2c19:dd:ec00:e898:ee0::/76 | 2c19:dd:ec00:e898:eef:ffff:ffff:ffff |
| 240 | 2c19:dd:ec00:e898:ef0::/76 | 2c19:dd:ec00:e898:eff:ffff:ffff:ffff |
| 241 | 2c19:dd:ec00:e898:f00::/76 | 2c19:dd:ec00:e898:f0f:ffff:ffff:ffff |
| 242 | 2c19:dd:ec00:e898:f10::/76 | 2c19:dd:ec00:e898:f1f:ffff:ffff:ffff |
| 243 | 2c19:dd:ec00:e898:f20::/76 | 2c19:dd:ec00:e898:f2f:ffff:ffff:ffff |
| 244 | 2c19:dd:ec00:e898:f30::/76 | 2c19:dd:ec00:e898:f3f:ffff:ffff:ffff |
| 245 | 2c19:dd:ec00:e898:f40::/76 | 2c19:dd:ec00:e898:f4f:ffff:ffff:ffff |
| 246 | 2c19:dd:ec00:e898:f50::/76 | 2c19:dd:ec00:e898:f5f:ffff:ffff:ffff |
| 247 | 2c19:dd:ec00:e898:f60::/76 | 2c19:dd:ec00:e898:f6f:ffff:ffff:ffff |
| 248 | 2c19:dd:ec00:e898:f70::/76 | 2c19:dd:ec00:e898:f7f:ffff:ffff:ffff |
| 249 | 2c19:dd:ec00:e898:f80::/76 | 2c19:dd:ec00:e898:f8f:ffff:ffff:ffff |
| 250 | 2c19:dd:ec00:e898:f90::/76 | 2c19:dd:ec00:e898:f9f:ffff:ffff:ffff |
| 251 | 2c19:dd:ec00:e898:fa0::/76 | 2c19:dd:ec00:e898:faf:ffff:ffff:ffff |
| 252 | 2c19:dd:ec00:e898:fb0::/76 | 2c19:dd:ec00:e898:fbf:ffff:ffff:ffff |
| 253 | 2c19:dd:ec00:e898:fc0::/76 | 2c19:dd:ec00:e898:fcf:ffff:ffff:ffff |
| 254 | 2c19:dd:ec00:e898:fd0::/76 | 2c19:dd:ec00:e898:fdf:ffff:ffff:ffff |
| 255 | 2c19:dd:ec00:e898:fe0::/76 | 2c19:dd:ec00:e898:fef:ffff:ffff:ffff |
| 256 | 2c19:dd:ec00:e898:ff0::/76 | 2c19:dd:ec00:e898:fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |